Subject: InterNetworking Guide (Last updated 04Apr91)
From: [email-masked] (Ajay Shekhawat)
Date: 4 Apr 91 21:40:27 GMT
Newsgroups: comp.mail.misc

This list is current as of 04 April 1991, I think (but then,
one never knows: things change so rapidly).

Would someone like to "officially" maintain this list?  
I'll strapped for time in the coming months...

Ajay.

==============================================================================

---------
Contents:
	I : The Internetworking Guide
	II: Networks NOT(yet) reachable from Internet.
--------

Inter-Network Mail Guide - Copyright 1990 by John J. Chew
  $Header: netmail,v 1.12 90/07/06 20:38:28 john Exp $

COPYRIGHT NOTICE

This document is Copyright 1990 by John J. Chew.  All rights reserved.
Permission for non-commercial distribution is hereby granted, provided
that this file is distributed intact, including this copyright notice
and the version information above.  Permission for commercial distribution
can be obtained by contacting the author as described below.

INTRODUCTION

This file documents methods of sending mail from one network to another.
It represents the aggregate knowledge of the readers of comp.mail.misc
and many contributors elsewhere.  If you know of any corrections or
additions to this file, please read the file format documentation below
and then mail to me: John J. Chew <[email-masked]>.  If
you do not have access to electronic mail (which makes me wonder about
the nature of your interest in the subject, but there does seem to be
a small such population out there) you can call me during the month of
July at +1 416 979 7166 between 11:00 and 24:00 EDT (UTC-4h) and most
likely talk to my answering machine (:-).

DISTRIBUTION

(news) This list is posted monthly to Usenet newsgroups comp.mail.misc and
  news.newusers.questions.  
(mail) I maintain a growing list of subscribers who receive each monthly 
  issue by electronic mail, and recommend this to anyone planning to 
  redistribute the list on a regular basis.  
(FTP) Internet users can fetch this guide by anonymous FTP as ~ftp/pub/docs/
  internetwork-mail-guide on Ra.MsState.Edu (130.18.80.10 or 130.18.96.37)
  [Courtesy of Frank W. Peters]
(Listserv) Bitnet users can fetch this guide from the Listserv at UNMVM.
  Send mail to LISTSERV@UNMVM with blank subject and body consisting of
  the line "GET NETWORK GUIDE".  [Courtesy of Art St. George]

HOW TO USE THIS GUIDE

Each entry in this file describes how to get from one network to another.
To keep this file at a reasonable size, methods that can be generated by
transitivity (A->B and B->C gives A->B->C) are omitted.  Entries are sorted
first by source network and then by destination network.  This is what a
typical entry looks like:

  #F mynet
  #T yournet
  #R youraddress
  #C contact address if any
  #I send to "youraddress@thegateway"

For parsing purposes, entries are separated by at least one blank line,
and each line of an entry begins with a `#' followed by a letter.  Lines
beginning with `# ' are comments and need not be parsed.  Lines which do
not start with a `#' at all should be ignored as they are probably mail
or news headers.

#F (from) and #T (to) lines specify source and destination networks.
If you're sending me information about a new network, please give me
a brief description of the network so that I can add it to the list
below.  The abbreviated network names used in #F and #T lines should
consist only of the characters a-z, 0-9 and `-' unless someone can
make a very convincing case for their favourite pi character.

These are the currently known networks with abbreviated names:

  applelink     AppleLink (Apple Computer, Inc.'s in-house network)
  attmail	AT&T Mail,AT&T's commercial e-mail service.
  bitnet        international academic network
  bix           Byte Information eXchange: Byte magazine's commercial BBS
  bmug          Berkeley Macintosh Users Group
  compuserve    commercial time-sharing service
  connect       Connect Professional Information Network (commercial)
  easynet       Easynet (DEC's in-house mail system)
  envoy	  	Envoy-100 (Canadian commercial mail service)
  fax           Facsimile document transmission
  fidonet       PC-based BBS network
  geonet        GeoNet Mailbox Systems (commercial)
  internet      the Internet
  mci           MCI's commercial electronic mail service
  mfenet        Magnetic Fusion Energy Network
  nasamail      NASA internal electronic mail
  peacenet      non-profit mail service
  sinet         Schlumberger Information NETwork
  span          Space Physics Analysis Network (includes HEPnet)
  sprintmail    Sprint's commercial mail service (formerly Telemail)
  thenet        Texas Higher Education Network

#R (recipient) gives an example of an address on the destination network, 
to make it clear in subsequent lines what text requires subsitution.

#C (contact) gives an address for inquiries concerning the gateway,
expressed as an address reachable from the source (#F) network.
Presumably, if you can't get the gateway to work at all, then knowing
an unreachable address on another network will not be of great help.

#I (instructions) lines, of which there may be several, give verbal
instructions to a user of the source network to let them send mail
to a user on the destination network.  Text that needs to be typed
will appear in double quotes, with C-style escapes if necessary.

/* Additions */
/*
   Given below are the additions made, along with the sender's address:

 Network	Description 					Sender
	    
 UNINet		Network in Rep. of SA		Erik Proper  ([email-masked])
 SIGNet		Network in Rep. of SA		Erik Proper  ([email-masked])
 EcoNet		Similar to PeaceNet 		Brian Coan   ([email-masked])
 gsfcmail 	NASA Goddard Space Flight Center mail system
					[email-masked]

_Ajay
*/

#F applelink
#T internet
#R user@domain
#I send to "user@domain@internet#"
#I   domain can be be of the form "site.bitnet", address must be <35 characters

#F AT&T Mail (attmail)
#T internet
#R internet!domain!user
#C AT&T Mail Customer Assisistance Center, 1-800-624-5672 (1-800-MAIL-672)
#I For an address "user@domain", send to "internet!domain!user". 

#F bitnet
#T internet
#R user@domain
#I Methods for sending mail from Bitnet to the Internet vary depending on
#I what mail software is running at the Bitnet site in question.  In the
#I best case, users should simply be able to send mail to "user@domain".
#I If this doesn't work, try "user%domain@gateway" where "gateway" is a 
#I regional Bitnet-Internet gateway site.  Finally, if neither of these
#I works, you may have to try hand-coding an SMTP envelope for your mail.
#I If you have questions concerning this rather terse note, please try
#I contacting your local postmaster or system administrator first before
#I you send me mail -- John Chew <[email-masked]>

#F compuserve
#T fax
#R +1 415 555 1212
#I send to "FAX 14155551212" (only to U.S.A.)

#F compuserve
#T internet
#R user@domain
#I send to ">INTERNET:user@domain"

#F compuserve
#T mci
#R 123-4567
#I send to ">MCIMAIL:123-4567"

#F connect
#T internet
#R user@domain
#I send to CONNECT id "DASNET"
#I first line of message: "\"user@domain\"@DASNET"

#F easynet
#T bitnet
#R user@site
#C DECWRL::ADMIN
#I from VMS use NMAIL to send to "nm%DECWRL::\"[email-masked]\""
#I from Ultrix
#I   send to "[email-masked]" or if that fails
#I     (via IP) send to "\"user%site.bitnet\"@decwrl.dec.com"
#I     (via DECNET) send to "DECWRL::\"[email-masked]\""

#F easynet
#T fidonet
#R john smith at 1:2/3.4
#C DECWRL::ADMIN
#I from VMS use NMAIL to send to 
#I   "nm%DECWRL::\"[email-masked]\""
#I from Ultrix
#I   send to "[email-masked]" or if that fails
#I     (via IP) send to "\"john.smith%p4.f3.n2.z1.fidonet.org\"@decwrl.dec.com"
#I     (via DECNET) send to "DECWRL::\"[email-masked]\""

#F easynet
#T internet
#R user@domain
#C DECWRL::ADMIN
#I from VMS use NMAIL to send to "nm%DECWRL::\"user@domain\""
#I from Ultrix
#I   send to "user@domain" or if that fails
#I     (via IP) send to "\"user%domain\"@decwrl.dec.com"
#I     (via DECNET) send to "DECWRL::\"user@domain\""

#F envoy
#T internet
#R user@domain
#C ICS.TEST or ICS.BOARD
#I send to "[RFC-822=\"user(a)domain\"]INTERNET/TELEMAIL/US
#I for special characters, use @=(a), !=(b), _=(u), any=(three octal digits)

#F fidonet
#T internet
#R user@domain
#I send to "uucp" at nearest gateway site
#I first line of message: "To: user@domain"

#F geonet
#T internet
#R user@domain
#I send to "DASNET"
#I subject line: "user@domain!subject"

#F GSFCMail
#T internet
#R user@domain
#C cust.svc
#I at the "To:" prompt type "POSTMAN"
#I at the "Subject:" prompt enter the subject of your message
#I at the "Text:" prompt, i.e. as the first line of your message,
#I    enter "To: user@domain"
#I or use same directions as sprintmail to internet

#F GSFCMail
#T NASAMAIL
#R userid
#C cust.svc
#I send to "(C:USA,ADMD:TELEMAIL,P:NASAMAIL,O:NASA,UN:userid)"

#F GSFCMail
#T span (now nsi-decnet)
#R host::user
#C cust.svc
#I at the "To:" prompt enter "POSTMAN"
#I at the "Subject:" prompt enter the subject of your message
#I at the "Text:" prompt, i.e. as the first line of your message,
#I    enter "To: [email-masked]"
#I or use GSFCCNE gateway and send to
#I    (C:USA,ADMD:TELEMAIL,P:GSFCCNE,O:SPAN,OU:host,SN:user)

#F GSFCMail
#T sprintmail
#R (C:USA,ADMD:TELEMAIL,O:organization,UN:userid)
#C cust.svc
#I for public networks send to 
#I     "(C:USA,ADMD:TELEMAIL,O:organization,UN:userid)"
#I for private networks send to
#I     "(C:USA,ADMD:TELEMAIL,PRMD:private_net,O:organization,UN:userid)"
#F internet
#T applelink
#R user
#I send to "[email-masked]"

#F internet
#T attmail
#R [email-masked]
#C AT&T Mail Customer Assisistance Center, 1-800-624-5672 (1-800-MAIL-672)
#I For an address "attmail!user", send to "[email-masked]"

#F internet
#T bitnet
#R user@site
#I send to "user%site.bitnet@gateway" where "gateway" is a gateway host that
#I   is on both the internet and bitnet.  Some examples of gateways are:
#I   cunyvm.cuny.edu mitvma.mit.edu.  Check first to see what local policies
#I   are concerning inter-network forwarding.

#F internet
#T bix
#R user
#I send to "[email-masked]"

#F internet
#T bmug
#R John Smith
#I send to "[email-masked]"

#F internet
#T compuserve
#R 71234,567
#I send to "[email-masked]"
#I   note: Compuserve account IDs are pairs of octal numbers.  Ordinary
#I     consumer CIS user IDs begin with a `7' as shown.

#F internet
#T connect
#R NAME
#I send to "[email-masked]"

#F internet
#T easynet
#R HOST::USER
#C [email-masked]
#I send to "[email-masked]" or "[email-masked]"

#F internet
#T easynet
#R John Smith @ABC
#C [email-masked]
#I send to "[email-masked]"
#I (This syntax is for All-In-1 users.)

#F internet
#T econet
#R user
#C <[email-masked]>
#I send to "[email-masked]"

#F internet
#T envoy
#R userid
#C [email-masked] for second method only
#I send to "[email-masked]"
#I or through US Sprint's X.400 gateway to
#I    "/C=CA/ADMD=TELECOM.CANADA/O=ENVOY/DD.ID=userid/@SPRINT.COM"

#F internet
#T fidonet
#R john smith at 1:2/3.4
#I send to "[email-masked]" 

#F internet
#T geonet
#R user at host
#I send to "user:[email-masked]"
#I American host is geo4, European host is geo1.

#F internet
#T GSFCMail
#R userid
#C [email-masked]
#I send to "[email-masked]"

#F internet
#T mci
#R John Smith (123-4567)
#I send to "[email-masked]"
#I or send to "[email-masked]" if "JSMITH" is unique
#I or send to "[email-masked]" if "John Smith" is unique - note the
#I    underscore!
#I or send to "John_Smith/[email-masked]" if "John Smith" is NOT unique

#F internet
#T mfenet
#R user@mfenode
#I send to "[email-masked]"

#F internet
#T nasamail
#R user
#C <[email-masked]>
#I send to "[email-masked]"

#F internet
#T peacenet
#R user
#C <[email-masked]>
#I send to "[email-masked]"

#F internet
#T signet (through FidoNet)
#R John Smith at 27:2/3.4
#I Send the message to [email-masked] (that is the
#I FidoNet to SigNet gateway).
#I The first line of the message should be:
#I    @DOMAIN SIGNet 27:2/3.4 FidoNet 2:2/527
#I For other persons at the signet, replace John.Smith and 27:2/3.4 by
#I the proper person/node adrress.
#I The sysop of the gateway can be reached at: 
#I    [email-masked]

#F internet
#T sinet
#R node::user or node1::node::user
#I send to "[email-masked]" or "[email-masked]"

#F internet
#T span (now nsi-decnet)
#R host::user
#C [email-masked]
#I send to "[email-masked]"

#F internet
#T sprintmail
#R (C:USA,ADMD:TELEMAIL,O:organization,UN:userid)
#C [email-masked]
#I for public networks send to
#I     "/C=US/ADMD=TELEMAIL/O=organization/DD.UN=userid/@SPRINT.COM"
#I or if you know the recipients registered full name
#I     "/C=US/ADMD=TELEMAIL/O=organization/PN=firstname.lastname/@SPRINT.COM"
#I for private networks send to
#I     "/C=USA/ADMD=TELEMAIL/PRMD=private_net/O=organization/DD.UN=userid/@SPRINT.COM"

#F internet
#T thenet
#R user@host
#I send to "[email-masked]"

#F internet
#T uninet (South Africa) (Through FidoNet)
#R user.node
#I Send the message to [email-masked]
#I A list of nodes in the uninet can be obtained by sending a message
#I with SEND UNINODE

#F mci
#T internet
#R John Smith <user@domain>
#I at the "To:" prompt type "John Smith (EMS)"
#I at the "EMS:" prompt type "internet"
#I at the "Mbx:" prompt type "user@domain"

#F nasamail
#T internet
#R user@domain
#I at the "To:" prompt type "POSTMAN"
#I at the "Subject:" prompt enter the subject of your message
#I at the "Text:" prompt, i.e. as the first line of your message,
#I    enter "To: user@domain"

#F sinet
#T internet
#R user@domain
#I send to "M_MAILNOW::M_INTERNET::\"user@domain\""
#I      or "M_MAILNOW::M_INTERNET::domain::user"

#F span (now nsi-decnet)
#T GSFCMail
#R userid
#C mssdca::netmgr
#I send to "AMES::\"[email-masked]"\"

#F span
#T internet
#R user@domain
#C nssdca::netmgr
#I send to "AMES::\"user@domain\""
#F sprintmail
#T internet
#R user@domain
#C (c:usa,admd:telemail,o:telenet.tele,fn:technical,sn:support,i:t)
#I send to "(C:USA,ADMD:TELEMAIL,PRMD:INTERNET,ID:<user(a)domain>)"

#F thenet
#T internet
#R user@domain
#I send to UTADNX::WINS%" user@domain "

END

------------------------------------------------------------------------------
PART - II

NETWORKS KNOWN *NOT* TO HAVE ACCESS FROM INTERNET

Compiled by Raymond Chen <[email-masked]> . 

Network             Comments (and userids of people who asked about it
                              and didn't post summaries)
-------             ---------------------------------------------------
American Online     Masato Ogawa ([email-masked]) confirms
                    that there is no gateway.

British Telecom     [email-masked] (R Batt) reports that
Gold                BT is a member of DialCom (qv).

DialCom             The gateway was shut down in March 1990 for financial
                    reasons.  Individual customers may have established
                    private relays through the Commercial Mail Relay (CMR).
                    Information available on the CMR is available from
                        [email-masked]

Dialog              [email-masked] (Dave Mc Mahan) reports that
                    nobody responded to his query in October 1990.

Easylink            a Western Union service
                    [email-masked] (Bruce Hauge) reports that as of March
                    1991 there is no gateway yet, but they're working on it.

Eurokom             [email-masked] (Brian Christiansen) reports that
                    nobody responded to his query in February 1991.

Fidelity Investments [email-masked] (Eric Adams) reports that
(Dallas)            nobody responded to his query in February 1991.

GEnie               No gateway yet, but Bill Louden, the General Manager of
                    GEnie, has stated publically that they are currently doing
                    research into the feasibility of a gateway.  Trust me,
                    if such a gateway is set up, you'll hear about it.

                    By the way, the machine genie.com is a red herring.

GoldNet             [email-masked] (Chaim Dworkin) reports that
                    GoldNet is part of DialCom (qv).

HandsNet            [email-masked] (J. Daniel Ozeran) reports
                    that nobody responded to his query in January 1991.

Midas Internation headquarters in Chicago
                    [email-masked] (Pete) reports that nobody
                    responded to his querh in January 1991.

Nifty-Serve         a Japanese BBS
                    [email-masked] (Makoto Suzuki) contacted the
                    system operators and confirmed that there is no gateway.

OMNET               Craig E. Ward ([email-masked]) explains:

Go either through Sprint Internet relay, Sprint.COM, or through the Commercial
Mail Relay (CMR) at Intermail.ISI.EDU.

Through the CMR, you can send mail to OMNET users with this format:

           "[omnet.user/OMNET]MAIL/USA%TELEMAIL"@Intermail.ISI.EDU

Users on OMNET will need to use an embedded header, i.e. in the body of the
message text (almost as ugly as X.400, but not quite) in a message to
"[INTERMAIL/USCISI]SM66/USA" to get mail back to you:

        Forward: Internet
        To: [email-masked]
        <Blank-Line>

You can get more information about the Commercial Mail Relay from:

                     [email-masked]

Paranet             [email-masked] (vacation) 4 Dec 90
                    No summary has yet been posted, and personal email
                    to this person is not answered.

PC-Relay            [email-masked] (Dave Lambert) 21 Feb 91
                    No summary has yet been posted, and personal email
                    to Mr Lambert is not answered.

Prodigy             by IBM and Sears
                    censors email
                    charges the sender of the mail message
                    Censorship details available from comp.risks issue 10.46.

PROFS (general)     PROFS is not a network.  It is an electronic office system
                    that has electronic mail as one of its components.  Many
                    companies purchase it from IBM and install it locally.

PROFS (IBM)         [email-masked] (Gaby Turek)
                    reports that you send to [email-masked],
                    but the recipient must first have registered for internet
                    access.

QUICK-COMM          GE Information Services E-Mail
                    [email-masked] (Mahmoud Pegah) reports
                    that as of February 1991 there is no gateway, though
                    one is under development.

SABRE               American Airlines' in-house reservation network.
                    [email-masked] (Bharat P. Savel) reports that
                    it has no gateway to any other network, and they
                    intend to keep it that way.

Telemail            [email-masked] (Todd Stevens) 20 Feb 91
Use the gateway at sprint.com   This requires knowledge of the recipient's
X.400 address on Telenet (now Sprintnet).  Your SMTP address will look like
this:

  smtp%"/dd.un=username/admd=telemail/o=gte/c=us/@sprint.com"

the username will be the recipient's username on the system and o will be
the organization.

VNET (IBM)          [email-masked] (Kurt Krueger) 16 Feb 91

Whole Earth 'Lectronic Link (WELL)
                    [email-masked] (David Basiji) reports that
                    you send mail to [email-masked]

------------------------------------------------------------------------------
Ajay Shekhawat           <Dept. of Comp. Sci., SUNY@Buffalo, Amherst, NY 14260>
[email-masked] || [email-masked] || [email-masked] || 716.636.3180